# Function rootIssuer

- rootIssuer(ucan: string | Ucan, level?: number): string

- Given a UCAN, lookup the root issuer.

  Throws when given an improperly formatted UCAN. This could be a nested UCAN (ie. proof).

  ### Returns

  The root issuer.

  #### Parameters

  - ##### ucan: string | Ucan

    A UCAN.

  - ##### level: number = 0

  #### Returns string

  - Defined in ucan/token.ts:204

Generated using TypeDoc